<bugID>1109285<Summary>Delay PSM init until TLS is used</Summary><Description>In bug 1059001, we start loading PSM / NSS once anything is done with debugger server sockets, even though it is only required for TLS sockets.

The file (security/socket.js) is lazily loaded by all consumers, so at least we pay no cost until something is done with sockets.

I tried to move this init closer to where TLS is used, but then got various crashes.  More investigation is needed to improve this.</Description></bugID>